Subject: Re: [PATCH v2 22/25] powerpc32: move xxxxx_dcache_range() functions inline

From: Scott Wood <[email-masked]>
Date: Tue, 22 Sep 2015 17:52:33 -0500

On Wed, 2015-09-23 at 00:49 +0200, Christophe Leroy wrote:
> Le 23/09/2015 00:34, Scott Wood a écrit :
> > On Tue, 2015-09-22 at 22:57 +0200, Christophe Leroy wrote:
> > > > Here is what I get in asm. First one is with "if (i) mb();". We see 
> > > > gcc
> > > > puts a beqlr. This is the form that is closest to what we had in the
> > > > former misc_32.S
> > > > Second one if with "mb()". Here we get a branch to sync for a useless 
> > > > sync
> > I was more concerned with keeping the code simple than the asm output.
> > 
> Right, but is that so complicated to say: if we did nothing in the loop, 
> no need to sync ?

As I said, it doesn't matter very much.  I wouldn't put it in personally, but 
it's not worth a long discussion.

-Scott